package com.kaixed.kchat

import android.app.Application
import com.kaixed.kchat.data.local.box.ObjectBox.getBoxStore
import com.kaixed.kchat.data.local.box.ObjectBox.init
import com.kaixed.kchat.utils.DensityUtil
import com.tencent.mmkv.MMKV
import io.objectbox.android.Admin


/**
 * @Author: kaixed
 * @Date: 2024/10/24 17:04
 */
class App : Application() {
    override fun onCreate() {
        super.onCreate()
        MMKV.initialize(this)

        init(this)

        Admin(getBoxStore()).start(this)

        DensityUtil.init(this)
    }
}
