package com.kaixed.kchat.data.local.entity

import io.objectbox.annotation.Entity
import io.objectbox.annotation.Id
import io.objectbox.annotation.Index
import kotlinx.serialization.Serializable

/**
 * @Author: kaixed
 * @Date: 2024/11/4 13:39
 */
@Entity
@Serializable
data class Contact(
    @Id
    var id: Long = 0L,
    @Index
    var username: String,
    @Index
    var nickname: String,
    @Index
    var remark: String? = null,
    var signature: String? = null,
    var avatarUrl: String? = null,
    var status: String? = null,
    var quanpin: String? = null,
    var remarkquanpin: String? = null,
    var showHeader: Boolean? = false,
    var address: String? = null,
    var gender: String? = null,
    var disturb: Boolean = true
)
