package com.kaixed.kchat.data.local.entity

import io.objectbox.annotation.Entity
import io.objectbox.annotation.Id
import kotlinx.serialization.Serializable

/**
 * @Author: kaixed
 * @Date: 2024/10/24 17:08
 */

@Entity
@Serializable
data class Messages(
    @Id
    var msgLocalId: Long = 0L,
    var msgSvrId: Long = 0L,
    var content: String,
    var timestamp: Long,
    var status: String = "normal",
    var senderId: String,
    var avatarUrl: String = "",
    var takerId: String,
    var type: String,
    var show: Boolean = true,
    var isShowTimer: Boolean = false,
    var isSender: Boolean = false
)
