package com.kaixed.kchat.network

/**
 * @Author: kaixed
 * @Date: 2024/11/23 13:25
 */
data class ApiResponse<T>(
    val code: String,
    val msg: String,
    val `data`: T?
) : BaseResponse<T?>() {

    override fun isSuccess(): Boolean = code == "200"
    override fun getResponseCode() = code
    override fun getResponseData() = data
    override fun getResponseMsg() = msg
}