package com.kaixed.kchat.network.service

import com.kaixed.kchat.network.ApiResponse
import okhttp3.MultipartBody
import retrofit2.http.Multipart
import retrofit2.http.POST
import retrofit2.http.Part

/**
 * @Author: kaixed
 * @Date: 2024/11/29 15:11
 */
interface FileApiService {

    @Multipart
    @POST("file/upload")
    suspend fun uploadFile(
        @Part file: MultipartBody.Part
    ): ApiResponse<String>
}