package com.kaixed.kchat.ui.activity

import android.os.Bundle
import androidx.activity.enableEdgeToEdge
import androidx.recyclerview.widget.LinearLayoutManager
import com.kaixed.kchat.data.model.Message
import com.kaixed.kchat.databinding.ActivityTestBinding
import com.kaixed.kchat.ui.adapter.MessageAdapter
import com.kaixed.kchat.ui.base.BaseActivity


class TestActivity : BaseActivity<ActivityTestBinding>() {

    override fun inflateBinding(): ActivityTestBinding {
        return ActivityTestBinding.inflate(layoutInflater)
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        enableEdgeToEdge()

        val adapter = MessageAdapter()
        binding.recyclerView.layoutManager =
            LinearLayoutManager(this, LinearLayoutManager.VERTICAL, false)
        binding.recyclerView.adapter = adapter

        val list = mutableListOf<Message>()
        val message = Message(1, "1", "1", 1)
        list.add(message)
        adapter.submitList(list)

        binding.button.setOnClickListener {
            val list1 = mutableListOf<Message>()
            val message0 = Message(1, "1", "1", 1)
            val message1 = Message(1, "1", "2", 1)
            list1.add(message0)
            list1.add(message1)

            list1[0].apply {
                lastContent = "222"
            }
            adapter.submitList(list1)
            toast("添加成功")
        }

    }

    override fun initData() {

//        PictureSelector.create(this)
//            .openGallery(SelectMimeType.ofImage())
//            .setImageEngine(ImageEngines())
//            .forResult(object : OnResultCallbackListener<LocalMedia?> {
//                override fun onResult(result: ArrayList<LocalMedia?>) {
//                    result.forEach { localMedia ->
//                        localMedia?.let {
//                            val imagePath = it.realPath
//                            toast("图片路径: $imagePath")
//                        }
//                    }
//                }
//
//                override fun onCancel() {
//                    toast("已取消")
//                }
//            })

    }
}