package com.kaixed.kchat.network

/**
 * @Author: kaixed
 * @Date: 2024/10/14 13:46
 */
object NetworkInterface {

    private const val URL = "app.kaixed.com/kchat"
    const val SERVER_URL = "https://$URL"
    const val WEBSOCKET_SERVER_URL = "wss://$URL"
    const val WEBSOCKET = "/websocket/single/"
    const val USER_INFO = "/users/info/"
    const val USER_LOGIN_BY_USERNAME = "/users/login/username"
    const val USER_LOGIN_BY_TELEPHONE = "/users/login/telephone"
    const val USER_REGISTER = "/users/register"

    const val USER_MESSAGES_COUNT = "/users/%s/%s/msgCounts"
    const val USER_MESSAGES = "/users/%s/%s/messages"
    const val MESSAGE_WITHDRAW = "/messages/"

    const val USER_LIST = "/users/list/"

    const val ADD_FRIEND = "/friend/request"
    const val FRIEND_LIST = "/friend/list"
    const val FRIEND_REQUEST_LIST = "/friend/request/list"
    const val ACCEPT_CONTACT_REQUEST = "/friend/accept"

    const val UPDATE_USER_INFO = "/users/info"
    const val UPLOAD_AVATAR = "/users/avatar"
}
