package com.kaixed.kchat.ui.activity

import android.content.Context
import android.content.Intent
import android.os.Bundle
import androidx.activity.enableEdgeToEdge
import androidx.appcompat.app.AppCompatActivity
import com.kaixed.kchat.databinding.ActivityAddFriendsBinding
import com.kaixed.kchat.ui.base.BaseActivity

class AddFriendsActivity : BaseActivity<ActivityAddFriendsBinding>() {

    override fun inflateBinding(): ActivityAddFriendsBinding {
        return ActivityAddFriendsBinding.inflate(layoutInflater)
    }

    private val mContext: Context by lazy { this }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        enableEdgeToEdge()

        initView()
    }

    override fun initData() {

    }

    private fun initView() {
        binding.ivBack.setOnClickListener {
            finish()
        }
        binding.cvSearch.setOnClickListener {
            startActivity(Intent(mContext, SearchFriendsActivity::class.java))
        }
    }
}
