package com.kaixed.kchat.utils

/**
 * @Author: kaixed
 * @Date: 2024/10/24 22:03
 */
object Constants {

    // mmkv
    const val MMKV_USER_SESSION: String = "userSession"
    const val MMKV_COMMON_DATA: String = "commonData"

    const val USERNAME_KEY = "username"
    const val NICKNAME_KEY = "nickname"
    const val AVATAR_URL = "avatarUrl"
    const val FIRST_LAUNCH_APP = "firstLaunchApp"
    const val USER_LOGIN_STATUS: String = "userLoginStatus"
    const val STATUS_BAR_HEIGHT = "status_bar_height"
    const val KEYBOARD_HEIGHT = "keyboardHeight"
    const val CURRENT_CONTACT_ID = "currentContactId"

    const val KEYBOARD_HEIGHT_RATIO = 0.15F
    const val KEYBOARD_DEFAULT_HEIGHT = 200
    const val STATUS_BAR_DEFAULT_HEIGHT: Int = 10

}
